Show / Hide Table of Contents

# Class TensorTypeInfo

Helps typecasting. Holds Tensor element type traits.

##### Inheritance

System.Object
TensorTypeInfo

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Microsoft.ML.OnnxRuntime.Tensors

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class TensorTypeInfo

### Constructors

#### TensorTypeInfo(TensorElementType, Int32)

Ctor

##### Declaration

    public TensorTypeInfo(TensorElementType elementType, int typeSize)

##### Parameters

Type | Name | Description
--- | --- | ---
TensorElementType | elementType | TensorElementType value
System.Int32 | typeSize | size fo the type in bytes

### Properties

#### ElementType

TensorElementType enum

##### Declaration

    public TensorElementType ElementType { get; }

##### Property Value

Type | Description
--- | ---
TensorElementType | type enum value

#### IsString

Is the type is a string

##### Declaration

    public bool IsString { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | true if Tensor element type is a string

#### TypeSize

Size of the stored primitive type in bytes

##### Declaration

    public int TypeSize { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 | size in bytes